認証
ベアラー トークンとして API キーを送信します。このエンドポイントでは仕様に特定の権限が記載されていないため、キーに必要な最小限の権限を付与し、推測するのではなくレスポンスを確認してください。
このエンドポイントは組織IDを受け付けません。お使いのキーによって所属する組織がすでに特定されており、レスポンスはその組織にスコープされます。
試してみる
アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。
curl -X GET https://api.zinndigital.com/v1/agency/boards/{boardId}/automations/{ruleId} \
-H "Authorization: Bearer zdk_live_…"ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く
パラメータ
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
boardId (path) | Uuid | はい | Project board ID (UUIDv7). |
ruleId (path) | Uuid | はい | Automation rule ID (UUIDv7). |
返信
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
id | Uuid | はい | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
board_id | Uuid | はい | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
name | string | はい | — |
description | string | いいえ | — |
trigger | string | はい | — |
trigger_config | object | いいえ | — |
conditions | BoardAutomationCondition[] | いいえ | — |
actions | BoardAutomationAction[] | いいえ | — |
status | BoardAutomationStatus | はい | `suspended` means WE paused it after repeated failure and it carries a reason the customer has not read. It is a third state rather than a reuse of `disabled`, because collapsin… |
position | integer | いいえ | — |
run_count | integer | いいえ | — |
fired_count | integer | いいえ | — |
consecutive_failures | integer | いいえ | — |
suspended_reason | string | いいえ | Why we paused this rule, in authored copy from a closed table — never an exception, a status or a message from our own code. The per-failure detail lives on each run (`action_re… |
suspended_at | string | いいえ | — |
last_fired_at | string | いいえ | — |
last_run_at | string | いいえ | — |
next_due_at | string | いいえ | Only set for a wall-clock rule. Null for a rule on a live act. |
created_at | string | いいえ | — |
updated_at | string | いいえ | — |
このエンドポイントが返すエラー
401 · 403 · 404